/*
Inbox

Inbox API can be used for low level integration and enables direct communication with you contact base.   In most cases you will use our interaction templates for communication, but our api also allows you to send message directly.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package inboxapi

import (
	"encoding/json"
)

// checks if the MessageFooter type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &MessageFooter{}

// MessageFooter struct for MessageFooter
type MessageFooter struct {
	Text string `json:"text"`
}

// NewMessageFooter instantiates a new MessageFooter object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewMessageFooter(text string) *MessageFooter {
	this := MessageFooter{}
	this.Text = text
	return &this
}

// NewMessageFooterWithDefaults instantiates a new MessageFooter object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewMessageFooterWithDefaults() *MessageFooter {
	this := MessageFooter{}
	return &this
}

// GetText returns the Text field value
func (o *MessageFooter) GetText() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Text
}

// GetTextOk returns a tuple with the Text field value
// and a boolean to check if the value has been set.
func (o *MessageFooter) GetTextOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Text, true
}

// SetText sets field value
func (o *MessageFooter) SetText(v string) {
	o.Text = v
}

func (o MessageFooter) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o MessageFooter) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["text"] = o.Text
	return toSerialize, nil
}

type NullableMessageFooter struct {
	value *MessageFooter
	isSet bool
}

func (v NullableMessageFooter) Get() *MessageFooter {
	return v.value
}

func (v *NullableMessageFooter) Set(val *MessageFooter) {
	v.value = val
	v.isSet = true
}

func (v NullableMessageFooter) IsSet() bool {
	return v.isSet
}

func (v *NullableMessageFooter) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableMessageFooter(val *MessageFooter) *NullableMessageFooter {
	return &NullableMessageFooter{value: val, isSet: true}
}

func (v NullableMessageFooter) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableMessageFooter) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


